## loci.formats
Class ReflectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              loci.formats.ReflectException

All Implemented Interfaces:
  Serializable

public class ReflectException
extends Exception

ReflectException is the exception thrown when something goes wrong performing a reflected operation with ReflectedUniverse.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ReflectException()`
`ReflectException(String s)`
`ReflectException(String s, Throwable cause)`
`ReflectException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReflectException

    public ReflectException()

### ReflectException

    public ReflectException(String s)

### ReflectException

    public ReflectException(String s,
                            Throwable cause)

### ReflectException

    public ReflectException(Throwable cause)